List approvals
The inbox: pending tasks by default, newest first.
Query parameters
statestringOne ofpendingapprovedrejectedexpiredcancelledDefault"pending"run_idstringworkspace_idstringlimitintegerDefault50at least 1at most 200cursorstring
Response200
objectstringlistdataApproval[]17 fields
idstringobjectstringapprovalcreated_atstring or nulldata_classstringdecided_atstring or nulldecided_bystring or nulldecision_sourcestring or nulldue_atstring or nullkindstringOne oftool_approvalworkflow_approvalworkflow_formrow_versionintegerrun_idstringrun_kindstringOne ofagentworkflowstatestringOne ofpendingapprovedrejectedexpiredcancelledtitlestringworkspace_idstringcontent_visiblebooleanDefaultfalserequestany
has_morebooleannext_cursorstring or nullfacetsmap<string, map<string, integer>> or nullpeoplemap<string, ActorRef> or null5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
total_countinteger or nulltotal_count_exactboolean or null
Status codes
- 200Successful Response
- 422The request is not valid:
errors[]names each field. - 4XXThe request was refused: the problem says why.
- 5XXThe API could not answer: the problem says why.
curl "https://api.mydeepagents.com/v1/approvals?limit=20" \
-H "Authorization: Bearer $MDA_API_KEY"{
"object": "list",
"data": [
{
"id": "apr_01jcdy8knavmbznwavrdg025zc",
"object": "approval",
"content_visible": false,
"created_at": "2026-11-10T09:30:00.000Z",
"data_class": "data class",
"decided_at": "2026-11-10T09:30:00.000Z",
"decided_by": "usr_01jcf1j9wjxfrnhqda3mq7ejxn",
"decision_source": "decision source",
"due_at": "2026-11-10T09:30:00.000Z",
"kind": "tool_approval",
"request": {},
"row_version": 4,
"run_id": "run_01jcr77659p6hws1zjqkthay73",
"run_kind": "agent",
"state": "pending",
"title": "Support triage",
"workspace_id": "ws_01jccj30nr8ad7mx1yc5v9zx3h"
}
],
"has_more": false,
"next_cursor": null,
"total_count": 1
}